# binaryninja.interaction.show_markdown_report

`binaryninja.interaction.``show_markdown_report`(title, contents, plaintext='')

  `show_markdown_report` displays the markdown contents in UI applications and plaintext in command line applications.

  Note: This API function differently on the command line vs. the UI. In the UI a popup is used. On the commandline
    a simple text prompt is used.

  Parameters:

  - contents (str) – markdown contents to display
  - plaintext (str) – Plain text version to display (used on the command line)

  Return type: | None

  Example:

      >>> show_markdown_report("title", "##Contents", "Plain text contents")
      Plain text contents